Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: event::Engine::Action Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::Engine::Action Struct Reference

An action is a tuple of 'id' (unique within the scope of this event engine), 'name' which is unique as well and used by the GUI as user readable identificator, 'isSystem' which denotes the action as system action, 'type' which defines what it is, and an argument vector that vary depending on type and which is passed to the action. More...

`import "EventEngine.idl";`

## Public Attributes
string | id
| Action ID.
string | name
| User-defined name.
boolean | isSystem
| `true` for system-defined actions
string | type
| Action type.
vector< KeyValue > | arguments
| Action argument map.

## Detailed Description

An action is a tuple of 'id' (unique within the scope of this event engine), 'name' which is unique as well and used by the GUI as user readable identificator, 'isSystem' which denotes the action as system action, 'type' which defines what it is, and an argument vector that vary depending on type and which is passed to the action.

The 'isSystem' flag is readonly and if set marks the action as not deletable.

Definition at line 114 of file EventEngine.idl.

## Member Data Documentation

## ◆ arguments

vector<KeyValue> event::Engine::Action::arguments

Action argument map.

Definition at line 119 of file EventEngine.idl.

## ◆ id

string event::Engine::Action::id

Action ID.

Definition at line 115 of file EventEngine.idl.

## ◆ isSystem

boolean event::Engine::Action::isSystem

`true` for system-defined actions

Definition at line 117 of file EventEngine.idl.

## ◆ name

string event::Engine::Action::name

User-defined name.

Definition at line 116 of file EventEngine.idl.

## ◆ type

string event::Engine::Action::type

Action type.

Definition at line 118 of file EventEngine.idl.

The documentation for this struct was generated from the following file:

- EventEngine.idl